﻿/*
Copyright 2015 Amazon.com, Inc.or its affiliates. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License").
You may not use this file except in compliance with the License.
A copy of the License is located at http ://aws.amazon.com/apache2.0/
or in the "license" file accompanying this file.
This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied.See the License
for the specific language governing permissions and limitations under
the License.
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CSharpMatrixMultiply.Models
{
public class TaskResults
{
    public int NumAlgorithms { get; set; }
    public int Dimension { get; set; }
    public string[] Description { get; set; }
    public string[] Time { get; set; }
    public string[] RelativeSpeedLabel { get; set; }
    public int[] PercentOfMax { get; set; }
    public string StatusMessage { get; set; }
    public string AMPDeviceName { get; set; }

    public TaskResults(int _NumAlgorithms)
    {
        NumAlgorithms = _NumAlgorithms;
        Description = new string[NumAlgorithms];
        Time = new string[NumAlgorithms];
        RelativeSpeedLabel = new string[NumAlgorithms];
        PercentOfMax = new int[NumAlgorithms];
        StatusMessage = string.Empty;
        AMPDeviceName = string.Empty;
    }
}
}